Skip to main content
POST
/
api
/
v1
/
auth-configs
/
{id}
Update
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.TenantAuthConfig.Update(ctx, operations.C1APIAuthConfigV1TenantAuthConfigServiceUpdateRequest{
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.TenantAuthConfigServiceUpdateResponse != nil {
        // handle response
    }
}
{
  "authConfig": {
    "bootstrapDomains": [
      "<string>"
    ],
    "c1Local": {
      "delegatedVerifiers": [
        "DELEGATED_VERIFIER_TYPE_UNSPECIFIED"
      ]
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "deprecationDeadline": "2023-11-07T05:31:56Z",
    "deprecationMessage": "<string>",
    "displayName": "<string>",
    "google": {
      "hostedDomains": [
        "<string>"
      ]
    },
    "id": "<string>",
    "isDefaultBootstrap": true,
    "jumpcloud": {
      "oidcClientId": "<string>",
      "oidcClientSecret": "<string>"
    },
    "microsoft": {
      "tenantIds": [
        "<string>"
      ]
    },
    "oidc": {
      "exactMatchClaims": {},
      "issuerId": "<string>",
      "oidcClientId": "<string>",
      "oidcClientSecret": "<string>",
      "scopes": [
        "<string>"
      ]
    },
    "okta": {
      "domain": "<string>",
      "oidcClientId": "<string>",
      "oidcClientSecret": "<string>"
    },
    "onelogin": {
      "domain": "<string>",
      "oidcClientId": "<string>",
      "oidcClientSecret": "<string>"
    },
    "pingone": {
      "environmentId": "<string>",
      "oidcClientId": "<string>",
      "oidcClientSecret": "<string>"
    },
    "providerType": "AUTH_CONFIG_PROVIDER_TYPE_UNSPECIFIED",
    "status": "AUTH_CONFIG_STATUS_UNSPECIFIED",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The id field.

Body

application/json

The TenantAuthConfigServiceUpdateRequest message.

authConfig
Tenant Auth Config · object

The TenantAuthConfig message.

This message contains a oneof named provider_config. Only a single field of the following list may be set at a time:

  • google
  • microsoft
  • okta
  • onelogin
  • jumpcloud
  • pingone
  • oidc
  • c1Local
updateMask
string | null

Response

200 - application/json

Successful response

The TenantAuthConfigServiceUpdateResponse message.

authConfig
Tenant Auth Config · object

The TenantAuthConfig message.

This message contains a oneof named provider_config. Only a single field of the following list may be set at a time:

  • google
  • microsoft
  • okta
  • onelogin
  • jumpcloud
  • pingone
  • oidc
  • c1Local